Bug 972412 - submitting invalid UTF-8 characters in job XML causes 500 error
Summary: submitting invalid UTF-8 characters in job XML causes 500 error
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
(Show other bugs)
Version: 0.12
Hardware: Unspecified Unspecified
unspecified
medium vote
Target Milestone: 0.13.x
Assignee: Dan Callaghan
QA Contact: wangjing
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-09 08:33 UTC by wangjing
Modified: 2018-02-06 00:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 02:44:54 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 1 Dan Callaghan 2013-06-17 07:07:23 UTC
On Gerrit: http://gerrit.beaker-project.org/2033

Comment 3 wangjing 2013-06-21 02:14:02 UTC
hope the warning text displaying on page 'Scheduler->New Job' rather than the job list page, then user could change his file directly to re-submit.

Verify:
1. Scheduler->New Job
2. import a wrong file, such as a picture.
3. click button 'Submit Data'.

Actual results:
same as expected results.

Expected results:
no 500 errors and return proper warning text 'Invalid job XML: 'utf8' codec can't decode byte 0x89 in position 0: invalid start byte'

Version:
beaker-server-0.13.1-1.git.16.497fc35.el6.noarch
beaker-0.13.1-1.git.16.497fc35.el6.noarch
beaker-server-redhat-0.1.14-1.el6eng.noarch

Comment 4 Amit Saha 2013-07-11 02:44:54 UTC
Beaker 0.13.2 has been released. (http://beaker-project.org/docs/whats-new/release-0.13.html#beaker-0-13-2).


Note You need to log in before you can comment on or make changes to this bug.